Page MenuHomePhabricator

Please add images.collection.cooperhewitt.org to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

I'm planning on starting a mass upload from Cooper Hewitt, based on a VP request. Images all appear to be in the domain https://images.collection.cooperhewitt.org. If other formats like videos of objects are suitable for upload, this would be an additional request.

Example: https://images.collection.cooperhewitt.org/216481_837351eda18e26e9_x.jpg

I know these requests take up to a week to get implemented, so raising before I have an example set of uploads done using local uploads though I have the CH API working and have the metadata mapping half done. I would expect to be able to link to examples in a few days if this is needed. As I'm experienced, you may want to skip that step, especially as my upload speeds from home are totally lame. :-)

Event Timeline

Fae created this task.Nov 10 2017, 3:08 PM
Restricted Application added subscribers: Bawolff, Aklapper. · View Herald TranscriptNov 10 2017, 3:08 PM

Change 390881 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Add images.collection.cooperhewitt.org to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/390881

Change 390881 merged by jenkins-bot:
[operations/mediawiki-config@master] Add images.collection.cooperhewitt.org to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/390881

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-11-21T19:20:47Z] <addshore@tin> Synchronized wmf-config/CommonSettings.php: SWAT: Add [[gerrit:390881|images.collection.cooperhewitt.org]] & [[gerrit:392189|*.dimu.org]] to wgCopyUploadsDomains. T180791 T180241 (duration: 00m 48s)

Framawiki closed this task as Resolved.Nov 21 2017, 7:41 PM
Framawiki claimed this task.
Framawiki added a subscriber: Framawiki.

Deployed